#region Copyright Syncfusion Inc. 2001 - 2017
//
//  Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
//
//  Use of this code is subject to the terms of our license.
//  A copy of the current license can be obtained at any time by e-mailing
//  licensing@syncfusion.com. Any infringement will be prosecuted under
//  applicable laws. 
//
#endregion

using System;
using System.ComponentModel;
using System.Diagnostics;
using System.Windows.Forms;
using Syncfusion.DocIO.DLS;
using Syncfusion.DocToPDFConverter;
using Syncfusion.Pdf;


namespace ReportFromTemplate
{
    public class Form1 : Form
    {
        #region Private Members

        private PictureBox _pictureBox1;
        private Label _label2;
        private Button _button1;
        private IContainer components;

        #endregion

        #region Constructor, Main and Dispose

        public Form1()
        {
            //
            // Required for Windows Form Designer support
            //
            InitializeComponent();
            Application.EnableVisualStyles();
            //
            // TODO: Add any constructor code after InitializeComponent call
            //
        }

        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.Run(new Form1());
        }

        /// <summary>
        /// Clean up any resources being used.
        /// </summary>
        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                if (components != null)
                {
                    components.Dispose();
                }
            }
            base.Dispose(disposing);
        }

        #endregion

        #region Windows Form Designer generated code

        /// <summary>
        /// Required method for Designer support - do not modify
        /// the contents of this method with the code editor.
        /// </summary>
        private void InitializeComponent()
        {
            System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(Form1));
            this._pictureBox1 = new System.Windows.Forms.PictureBox();
            this._label2 = new System.Windows.Forms.Label();
            this._button1 = new System.Windows.Forms.Button();
            ((System.ComponentModel.ISupportInitialize)(this._pictureBox1)).BeginInit();
            this.SuspendLayout();
            // 
            // _pictureBox1
            // 
            this._pictureBox1.Dock = System.Windows.Forms.DockStyle.Top;
            this._pictureBox1.Image = global::ReportFromTemplate.Properties.Resources.docio_header;
            this._pictureBox1.Location = new System.Drawing.Point(0, 0);
            this._pictureBox1.Name = "_pictureBox1";
            this._pictureBox1.Size = new System.Drawing.Size(678, 142);
            this._pictureBox1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.StretchImage;
            this._pictureBox1.TabIndex = 60;
            this._pictureBox1.TabStop = false;
            // 
            // _label2
            // 
            this._label2.Font = new System.Drawing.Font("Verdana", 8.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(161)));
            this._label2.ForeColor = System.Drawing.SystemColors.ControlText;
            this._label2.Location = new System.Drawing.Point(39, 165);
            this._label2.Name = "_label2";
            this._label2.Size = new System.Drawing.Size(586, 65);
            this._label2.TabIndex = 68;
            this._label2.Text = "Click the button to view the resultant PDF document being converted from Word doc" +
    "ument using Essential DocIO and Essential PDF. PDF viewer is required to view th" +
    "e resultant PDF.";
            this._label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
            // 
            // _button1
            // 
            this._button1.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
            | System.Windows.Forms.AnchorStyles.Left) 
            | System.Windows.Forms.AnchorStyles.Right)));
            this._button1.BackColor = System.Drawing.Color.Transparent;
            this._button1.FlatAppearance.BorderColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(192)))), ((int)(((byte)(128)))));
            this._button1.FlatAppearance.MouseDownBackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(224)))), ((int)(((byte)(192)))));
            this._button1.FlatAppearance.MouseOverBackColor = System.Drawing.Color.FromArgb(((int)(((byte)(255)))), ((int)(((byte)(255)))), ((int)(((byte)(192)))));
            this._button1.Location = new System.Drawing.Point(235, 261);
            this._button1.Name = "_button1";
            this._button1.Size = new System.Drawing.Size(199, 36);
            this._button1.TabIndex = 105;
            this._button1.Text = "Convert to PDF";
            this._button1.UseVisualStyleBackColor = false;
            this._button1.Click += new System.EventHandler(this.button1_Click);
            // 
            // Form1
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(8, 19);
            this.BackColor = System.Drawing.Color.White;
            this.ClientSize = new System.Drawing.Size(678, 380);
            this.Controls.Add(this._button1);
            this.Controls.Add(this._label2);
            this.Controls.Add(this._pictureBox1);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedSingle;
            this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
            this.MaximizeBox = false;
            this.Name = "Form1";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "Generate Word";
            ((System.ComponentModel.ISupportInitialize)(this._pictureBox1)).EndInit();
            this.ResumeLayout(false);

        }

        #endregion

        #region Button_Click Event

        private void button1_Click(object sender, EventArgs e)
        {
            // Loads an existing Word document.
            WordDocument wordDocument = new WordDocument("..//..//Data//DoctoPDF.docx");
#if !(SyncfusionFramework3_5 || SyncfusionFramework2_0)
            // Initialize chart to image converter for converting charts in word to pdf conversion.
            wordDocument.ChartToImageConverter = new Syncfusion.OfficeChartToImageConverter.ChartToImageConverter();
            wordDocument.ChartToImageConverter.ScalingMode = Syncfusion.OfficeChart.ScalingMode.Normal;
#endif
            // Sets page size as A5 for each sections.
            foreach (IWSection iWSection in wordDocument.Sections)
                iWSection.PageSetup.PageSize = PageSize.A5;
            DocToPDFConverter converter = new DocToPDFConverter();
            // Convert word document into PDF document.
            PdfDocument pdfDoc = converter.ConvertToPDF(wordDocument);
            //pdfDoc.PageSettings.Size = PdfPageSize.A5;
            // Save the pdf file.
            pdfDoc.Save("DoctoPDF.pdf");
            //Message box confirmation to view the created document.
            if (
                MessageBox.Show(@"Do you want to view the generated PDF?", @" Document has been created",
                    MessageBoxButtons.YesNo, MessageBoxIcon.Information) == DialogResult.Yes)
            {
                try
                {
                    Process.Start("DoctoPDF.pdf");
                    //Exit
                    Close();
                }
                catch (Exception ex)
                {
                    Console.WriteLine(ex.ToString());
                }
            }
        }

        #endregion Button_Click Event
    }
}